<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style>
    html {
      margin: 0 3em 0;
      scroll-behavior: smooth;
    }
    /* :not(hr) {
      border: 1px dotted red;
      margin: 5px;
    } */

    hr {
      margin: 3em;
    }
  </style>
</head>
<body>

  <h1 id="Title1">Tytuł poziomu 1</h1>
  <h2>Tytuł poziomu 2</h2>
  <h3>Tytuł poziomu 3</h3>
  <h4>Tytuł poziomu 4</h4>
  <br>
  <h5>Tytuł poziomu 5</h5>
  <h6>Tytuł poziomu 6</h6>

  <br>

  <p>To nie jest tytuł, to jest paragraf! 😱</p>

  <hr>

  <b>To jest wytłuszczenie tekstu. Mówią na mnie bold, ja tylko wyglądam.</b>
  <strong>Ten tekst jest mocarny! Czytnik tekstu położy na mnie nacisk albo wykrzyczy!</strong>
  <i>Jestem kursywą, ja też tylko wyglądam.</i>
  <em>Teskst naznaczony. Czytnik ekranu przeczyta mnie innym głosem niż normalnie</em>

  <br>

  <br>
  <!-- https://www.w3schools.com/charsets/ref_html_8859.asp -->
  <p>Jaka jest różnica między i oraz em? Ano:</p>
  <p>Jak używasz tagu <q>&lt;i&gt;</q> to chcesz odznaczyć tekst chwaląc się, że już otworzyłeś lekturę od prowadzącego o nazwie <i>HTML5.pdf</i>, a <q>&lt;em&gt;</q> w momencie, kiedy chcesz zaznaczyć, że to <em>już dawno</em> ogarnięte.</p>
  <p>Podobnie z <q>b</q> i <q>strong</q>.</p>

  <hr>

  <p>To jest paragraf z <b>wytłuszczeniem</b> oraz <i>italiką</i>. Sam paragraf jest elementem blokowym czyli jak znacznik <div><b>div</b></div>. Są też elementy liniowe jak np. <span><b>span</b></span></p>

  <hr>

  <p>Jest też możliwość <u>podkreślenia</u>, <s>przekreślenia</s> lub <mark>zamarkowania</mark> tekstu</p>

  <hr>

  <!-- Unordered List -->
  <ul>
    <li>Jabłko</li>
    <li>Pomarańcza</li>
    <li>Banan</li>
    <li>Winogrona</li>
  </ul>
  <p><sup>Powyżej</sup> mamy listę nienumerowaną:</p>

  <hr>

  <!-- Ordered List -->
  <p><sub>Poniżej</sub> mamy listę numerowaną:</p>
  <ol>
    <li>Pierwszy element <sup><small>[1]</small></sup></li>
    <li>Drugi element</li>
    <li>Trzeci element</li>
    <li>Czwarty element</li>
  </ol>

  <hr>

  <p>Mamy też taki dziki typ jak lista <strong>opisowa</strong> <small>(P.S. Nie wiem kim był Opisov 😉)</small></p>
  <!-- Description List -->

  <dl>
    <dt>Opis elementu 1</dt>
    <dd>Element pierwszy. Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna
      aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea
      commodo consequat.</dd>
    <dt>Opis elementu 2. Lorem ipsum dolor sit amet</dt>
    <dd>Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna
      aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea
      commodo consequat.</dd>
  </dl>

  <hr>

  <p>Ale czym byłaby sieć bez <abbr title="Tagów '<a>'">odnośników</abbr>?</p>
  <p>Rozróżniamy dwa typy linków: </p>
  <ul>
    <li>Zewnętrzne</li>
    <li>
      Wewnętrzne:
      <ul>
        <li><s>Bezpośrednie</s></li>
        <li>Relatywne (pośrednie)</li>
        <li>Kotwice</li>
      </ul>
    </li>
    <li>Telefony</li>
    <li>Maile</li>
  </ul>


  <a href="https://www.onet.pl/">Link do strony zewnętrznej</a>
  <br>
  <a href="https://www.onet.pl/" rel="external">Link do strony zewnętrznej z dodatkową informacją dla przeglądarki</a>
  <br>
  <a href="http://www.onet.pl" target="_blank" rel="noopener noreferrer">Ten link zawsze będzie w nowej karcie</a>
  <br>
  <a href="inna.html">Pośredni link wewnętrzny</a>
  <!-- A ten poniżej działał nie będzie, bo nie mamy skonfigurowanej domeny 🙃 -->
  <a href="http://example.com/inna">Bezpośredni link</a>
  <br>
  <a href="#Title1">Kotwica</a>

  <br><br>

  <a href="tel:+48 540 260 220">Zadzwoń do mnie!</a>
  <br>
  <a href="mailto:piotrpetrycki@gmail.com">Napisz do mnie maila!</a>
  <br>
  <a href="mailto:piotrpetrycki@gmail.com?subject=To+jest+powazny+mail!&body=Przykladowa+tresc+znaczy+text">Wyślij mi poważnego maila 😱</a>
  <br>
  <a href="mailto:piotrpetrycki@gmail.com?cc=cc.mail@gmail.com&bcc=bcc.mail@gmail.com">Wyślij do wielu na raz</a>
  
  <br>
  <br>
  <br>
  <br>
  <br>
</body>
</html>